// toShare dt.js
'use strict';
// uses rest, reservation, tooltip


class dtReservationsClass extends reservations {
	// thead th
	updateTheadTh(theadDate, colGroupCol, theadTh){
		super.updateTheadTh(theadDate, colGroupCol, theadTh);
		theadTh.dataset.tooltip = formatDate((theadDate), 'yyyy/MM/dd');
		theadTh.addEventListener('click', dtTodayView.onTheadThClick);
	}
	// tbody th
	updateTbodyTh(atsItem, tbodyTh){
		super.updateTbodyTh(atsItem, tbodyTh);
		tbodyTh.dataset.tooltip = atsItems.findField('item_id', Number(tbodyTh.dataset.itemId)).item_desc;
		tbodyTh.addEventListener('click', dtEdit.onTbodyThClick);
	}
	// tbody td p
	updateTbodyData(reservationItem, tbodyP){
		super.updateTbodyData(reservationItem, tbodyP);
		tbodyP.dataset.tooltip = '';
		tbodyP.addEventListener('click', dtEdit.onTbodyDataClick);
	}
}

const tableId = Number(document.location.hash.substring(1));
const dtReservations = new dtReservationsClass;
const dtTodayView = new todayView(dtReservations, minimumUnitTime);
const dtEdit = new reservationEdit(dtReservations, minimumUnitTime);

async function setTitle(tableId){
	await atsReservationTables.restGet(tableId);
	const atsTable = atsReservationTables.findField('table_id',tableId);
	document.title = atsTable.table_name + ' - toShare';
	document.querySelector('h1').innerText =  atsTable.table_name;
	document.getElementById('table-item-name').innerText = atsTable.item_name;
}
async function pageLoad(){
	await atsUsersTable.restGet();
	await atsItems.restGet(tableId);
	dtEdit.updateLoad();
	dtReservations.updateLoad();
	dtEdit.inputDesc.placeholder = atsReservationTables.findField('table_id', tableId).table_desc;
}
setTitle(tableId);
pageLoad();
