// toShare dw.js
'use strict';
// uses rest, reservation, tooltip


class dwReservationsClass extends reservations {
	// thead th
	updateTheadTh(theadDate, colGroupCol, theadTh){
		super.updateTheadTh(theadDate, colGroupCol, theadTh);
		theadTh.innerText = ((theadDate.getDate()===1) ? formatDate(theadDate, 'M\n') : '') 
			+ formatDate(theadDate, 'd');
		theadTh.dataset.tooltip = formatDate((theadDate), 'yyyy/MM/dd');
		theadTh.addEventListener('click', dwTodayView.onTheadThClick);
	}
	// tbody th
	updateTbodyTh(atsItem, tbodyTh){
		super.updateTbodyTh(atsItem, tbodyTh);
		tbodyTh.dataset.tooltip = atsItems.findField('item_id', Number(tbodyTh.dataset.itemId)).item_desc;
		tbodyTh.addEventListener('click', dwEdit.onTbodyThClick);
	}
	// tbody td p
	updateTbodyData(reservationItem, tbodyP){
		const reservationStartDate = new Date(reservationItem.start_datetime);
		const reservationEndDate = new Date(reservationItem.end_datetime);
		tbodyP.innerText = reservationItem.reservation_desc + '\n'
			+ reservationItem.user_name + '\n'
			+ formatDate(reservationStartDate, 'yyyy/MM/dd から\n')
			+ formatDate(reservationEndDate, 'yyyy/MM/dd まで');
		tbodyP.dataset.tooltip = '';
		tbodyP.addEventListener('click', dwEdit.onTbodyDataClick);
	}
}

const tableId = Number(document.location.hash.substring(1));
const dwReservations = new dwReservationsClass();
const dwTodayView = new todayView(dwReservations, minimumUnitDate);
const dwEdit = new reservationEdit(dwReservations, minimumUnitDate);

async function setTitle(tableId){
	await atsReservationTables.restGet(tableId);
	const atsTable = atsReservationTables.findField('table_id',tableId);
	document.title = atsTable.table_name + ' - toShare';
	document.querySelector('h1').innerText =  atsTable.table_name;
	document.getElementById('table-item-name').innerText = atsTable.item_name;
}
async function pageLoad(){
	await atsUsersTable.restGet(USER_ID_ALL);
	await atsItems.restGet(tableId);
	dwEdit.updateLoad();
	dwReservations.updateLoad();
	dwEdit.inputDesc.placeholder = atsReservationTables.findField('table_id', tableId).table_desc;
}
setTitle(tableId);
pageLoad();
